GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- File List
- File Members

Functions
gdalmatching.cpp File Reference

Algorithms for searching corresponding points on images. More...

`#include "gdal_alg.h"`
`#include "gdal_simplesurf.h"`

## Functions
GDAL_GCP * | GDALComputeMatchingPoints (GDALDatasetH hFirstImage, GDALDatasetH hSecondImage, char **papszOptions, int *pnGCPCount)
| GDALComputeMatchingPoints. More...

## Detailed Description

Algorithms for searching corresponding points on images.

Author
  Andrew Migal migal.nosp@m..dre.nosp@m.w@gma.nosp@m.il.c.nosp@m.om

This implementation is based on an simplified version of SURF algorithm (Speeded Up Robust Features). Provides capability for detection feature points and finding equal points on different images. As original, this realization is scale invariant, but sensitive to rotation. Images should have similar rotation angles (maximum difference is up to 10-15 degrees), otherwise algorithm produces incorrect and very unstable results.

## Function Documentation

GDAL_GCP* GDALComputeMatchingPoints | ( | GDALDatasetH | hFirstImage,
|  | GDALDatasetH | hSecondImage,
|  | char ** | papszOptions,
|  | int * | pnGCPCount
| ) |  |

GDALComputeMatchingPoints.

TODO document

Generated for GDAL by 1.8.9.1.